use pupfile3, clear
bys orgnr year: keep if _n==1
keep if ds & stdEx<.

forv g=8/8 {
	g pup8910_`g' = pup8_`g' + pup9_`g' + pup10_`g'

	grdisc2 psnclass pup8910_8 if  inrange(pup8910_8, 10, 40), d(18) ///
		xtitle("Jr. High School size") l2title("# Classes in primary school") ///
		l1title("(when in 6th grade)", size(small)) ///
		ylabel(,angle(horiz))
	gr export fig/grdisc_psnclass`g'.eps, replace

	grdisc2 cs`g' pup8910_`g' if  inrange(pup8910_`g',10,40), d(18) ///
	xtitle("Jr. High School size") ytitle("Class size")
	gr export fig/grdisc_cs`g'.eps, replace

	grdisc2 thoursls_`g' pup8910_`g' if  inrange(pup8910_`g',10,40), d(18) ///
	xtitle("Jr. High School size") ytitle("Teacher hours per pupil")
	gr export fig/grdisc_thoursls_`g'.eps, replace
}
